Cyberduck Mountain Duck CLI

#4405 reopened enhancement

Automatic public key authentication setup

Reported by: dan@… Owned by: dkocher
Priority: low Milestone:
Component: sftp Version: 3.4.2
Severity: normal Keywords: Public Key Authentication authorized_keys
Cc: Architecture:
Platform: Mac OS X 10.6

Description

If you choose the option to "Use Public Key Authentication", it would be nice, if the public key authentication failed, if CyberDuck would give you the option to enter a valid user/password and cat my public key to the bottom of the authorized_keys and reconnect.

Change History (6)

comment:1 Changed on Apr 25, 2010 at 7:16:31 AM by dkocher

  • Component changed from core to sftp

comment:2 Changed on Jul 27, 2010 at 8:29:50 AM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed

The login prompt should be shown again if the public key authentication fails. I don't see the issue with authorized_keys; it is OpenSSH server writing entries in there.

comment:3 in reply to: ↑ description Changed on Jul 27, 2010 at 3:02:18 PM by dkocher

  • Resolution wontfix deleted
  • Status changed from closed to reopened
  • Summary changed from "Use Public Key Authentication" should update authorized_keys on first connect. to Automatic Public Key Authentication Setup

Quoting dan@…:

If you've never connected to a host using public key auth before, but would like all future connections to use it. You should be able to enable public key auth, point cyberduck to the priv/public keys. When you make your first connection you would be prompted for your username and password and upon successful auth then cyberduck would append your public key to the authorized_keys and reconnect using public key auth. This saves the user all the headache of doing this themselves manually. iSSH for the iPhone/iPad has similar functionality with a Transfer Public Key button.

For now, the user has to manually configure this. Refer to How to configure public key authentication.

Last edited on Nov 18, 2011 at 11:56:03 PM by dkocher (previous) (diff)

comment:4 Changed on Nov 26, 2010 at 4:40:35 PM by dkocher

  • Priority changed from normal to low

comment:5 Changed on May 8, 2014 at 6:43:51 PM by dkocher

Like ssh-copy-id.

DESCRIPTION
     ssh-copy-id is a script that uses ssh(1) to log into a remote machine (presumably using a login pass‐
     word, so password authentication should be enabled, unless you've done some clever use of multiple
     identities).  It assembles a list of one or more fingerprints (as described below) and tries to log in
     with each key, to see if any of them are already installed (of course, if you are not using
     ssh-agent(1) this may result in you being repeatedly prompted for pass-phrases).  It then assembles a
     list of those that failed to log in, and using ssh, enables logins with those keys on the remote
     server.  By default it adds the keys by appending them to the remote user's ~/.ssh/authorized_keys
     (creating the file, and directory, if necessary).  It is also capable of detecting if the remote system
     is a NetScreen, and using its ‘set ssh pka-dsa key ...’ command instead.

comment:6 Changed on Oct 8, 2014 at 9:25:41 PM by dkocher

  • Summary changed from Automatic Public Key Authentication Setup to Automatic public key authentication setup
Note: See TracTickets for help on using tickets.
swiss made software